FROM python:3.7-alpine

# Create user w/o password
RUN adduser -D smtpd

# Switch user
USER smtpd

EXPOSE 1025

# Start python mock smtp server
ENTRYPOINT ["python", "-m", "smtpd", "-n", "-c", "DebuggingServer", "0.0.0.0:1025"]
